<?php
/**
 * Clase Base Bean para BaseCrTelefonoTipoBN
 *
 * @package    Sedapal
 * @subpackage BaseCrTelefonoTipoBN
 * @author     Willy
 * @version    SVN:: BaseCrTelefonoTipoBN.class.php,v 1.1 2014-10-30 10:17:37 william.taype Exp $
 */
abstract class BaseCrTelefonoTipoBN
{
  protected $IdTipoTelefono;
  protected $Descripcion;
  protected $Estado;
  protected $Mensaje;
  protected $Error;

  public function getIdTipoTelefono(){
    return $this->IdTipoTelefono;
  }
  public function setIdTipoTelefono($v1){
    $this->IdTipoTelefono = $v1; 
  }

  public function getDescripcion(){
    return $this->Descripcion;
  }
  public function setDescripcion($v1){
    $this->Descripcion = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_telefono_tipoBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_telefono_tipoRs )
  {
    $o_CrTelefonoTipoBN = new CrTelefonoTipoBN();
    $o_CrTelefonoTipoBN->setIdTipoTelefono( $o_Cr_telefono_tipoRs['IdTipoTelefono'] );
    $o_CrTelefonoTipoBN->setDescripcion( $o_Cr_telefono_tipoRs['Descripcion'] );
    $o_CrTelefonoTipoBN->setEstado( $o_Cr_telefono_tipoRs['Estado'] );
    return $o_CrTelefonoTipoBN;
  }
}